Library Version 11.2.5.3

Db::get_re_len()
Prev | Chapter 2. The Db Handle | Next

## Db::get_re_len()

    #include <db_cxx.h>

    int
    Db::get_re_len(u_int32_t *re_lenp);

The `Db::get_re_len()` method returns the length of the records held in a Queue access method database. This value can be set using the Db::set_re_len() method.

The `Db::get_re_len()` method may be called only after the database has been opened.

The `Db::get_re_len()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### re_lenp

The `Db::get_re_len()` method returns the record length in re_lenp. If the record length has never been set using Db::set_re_len(), then `0` is returned.

### Class

Db

### See Also

Database and Related Methods, Db::set_re_len()

Prev | Up | Next
Db::get_re_delim() | Home | Db::get_re_pad()